=== debian/changelog ===
busybox (1:1.27.2-2ubuntu3.4) bionic-security; urgency=medium

  * SECURITY UPDATE: invalid free or segfault via gzip data
    - debian/patches/CVE-2021-28831.patch: fix DoS if gzip is corrupt in
      archival/libarchive/decompress_gunzip.c.
    - CVE-2021-28831
  * SECURITY UPDATE: OOB read in unlzma
    - debian/patches/CVE-2021-42374.patch: fix a case where we could read
      before beginning of buffer in archival/libarchive/decompress_unlzma.c.
    - CVE-2021-42374
  * SECURITY UPDATE: multiple security issues in awk
    - debian/patches/CVE-2021-423xx-awk.patch: backport awk.c from
      busybox 1.34.1.
    - CVE-2021-42378, CVE-2021-42379, CVE-2021-42380, CVE-2021-42381,
      CVE-2021-42382, CVE-2021-42384, CVE-2021-42385, CVE-2021-42386

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Nov 2021 14:05:22 -0500

busybox (1:1.27.2-2ubuntu3.3) bionic-security; urgency=medium

  * SECURITY UPDATE: missing ssl cert validation in wget applet
    - debian/patches/CVE-2018-1000500-pre1.patch: emit a message that
      certificate verification is not implemented in networking/wget.c.
    - debian/patches/CVE-2018-1000500-pre2.patch: print warning only once
      in networking/wget.c.
    - debian/patches/CVE-2018-1000500-1.patch: implement TLS verification
      with ENABLE_FEATURE_WGET_OPENSSL in networking/wget.c.
    - debian/patches/CVE-2018-1000500-2.patch: fix openssl options for cert
      verification in networking/wget.c.
    - CVE-2018-1000500

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Sep 2020 10:26:16 -0400

busybox (1:1.27.2-2ubuntu3.2) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in wget
    - debian/patches/CVE-2018-1000517.patch: check chunk length in
      networking/wget.c.
    - CVE-2018-1000517
  * SECURITY UPDATE: out-of-bounds read in udhcp
    - debian/patches/CVE-2018-20679.patch: check that 4-byte options are
      indeed 4-byte in networking/udhcp/common.*,
      networking/udhcp/dhcpc.c, networking/udhcp/dhcpd.c.
    - CVE-2018-20679
  * SECURITY UPDATE: incomplete fix for out-of-bounds read in udhcp
    - debian/patches/CVE-2019-5747.patch: when decoding DHCP_SUBNET, ensure
      it is 4 bytes long in networking/udhcp/common.*,
      networking/udhcp/dhcpc.c.
    - CVE-2019-5747

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Mar 2019 15:51:41 -0500

busybox (1:1.27.2-2ubuntu3.1) bionic; urgency=medium

  * Fix symlink handling (LP: #1753572)
    - debian/patches/CVE-2011-5325-2.patch: re-enable patch.
    - debian/patches/CVE-2011-5325-3.patch:postpone creation of symlinks
      with "suspicious" targets in archival/libarchive/data_extract_all.c,
      archival/libarchive/unsafe_symlink_target.c, archival/tar.c,
      include/bb_archive.h, testsuite/tar.tests.
    - debian/patches/CVE-2011-5325-4.patch: extract "unsafe" symlinks
      the same way tar/unzip does in archival/cpio.c.
    - debian/patches/CVE-2011-5325-5.patch: fix symlink creation in
      archival/libarchive/get_header_ar.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Jan 2019 13:16:38 -0500

busybox (1:1.27.2-2ubuntu3) bionic; urgency=medium

  * debian/patches/CVE-2011-5325-2.patch: disable patch for now as the
    behaviour is relied upon by debootstrap. (LP: #1737662)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Dec 2017 12:58:01 -0500

busybox (1:1.27.2-2ubuntu2) bionic; urgency=medium

  * Fix missing new config setting for Ubuntu flavors.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 22:14:46 +0000

busybox (1:1.27.2-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.
    - Fixes problem with linux boot parameters not being copied to
      busybox environment, and breaking preseeding.  LP: #1736421.
  * Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - debian/patches/CVE-2011-5325-2.patch: do not extract unsafe symlinks
      unless env variable is set in archival/libarchive/Kbuild.src,
      archival/libarchive/data_extract_all.c,
      archival/libarchive/unsafe_symlink_target.c, archival/tar.c,
      coreutils/link.c, include/bb_archive.h, libbb/copy_file.c,
      testsuite/tar.tests.
  * Dropped changes, included in Debian:
    - readlink-in-slash-bin.patch: move readlink to /bin.
    - debian/patches/CVE-2017-15874.patch: add another check to
      archival/libarchive/decompress_unlzma.c.
    - debian/patches/CVE-2017-16544.patch: check for control characters in
      libbb/lineedit.c.
    - debian/patches/CVE-2017-15873.patch: fix runCnt overflow in
      archival/libarchive/decompress_bunzip2.c.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 11:35:12 -0800

busybox (1:1.27.2-1ubuntu4) bionic; urgency=medium

  * SECURITY UPDATE: directory traversal via tar symlink extraction
    - debian/patches/CVE-2011-5325-2.patch: do not extract unsafe symlinks
      unless env variable is set in archival/libarchive/Kbuild.src,
      archival/libarchive/data_extract_all.c,
      archival/libarchive/unsafe_symlink_target.c, archival/tar.c,
      coreutils/link.c, include/bb_archive.h, libbb/copy_file.c,
      testsuite/tar.tests.
    - CVE-2011-5325
  * SECURITY UPDATE: integer overflow in get_next_block
    - debian/patches/CVE-2017-15873.patch: fix runCnt overflow in
      archival/libarchive/decompress_bunzip2.c.
    - CVE-2017-15873

