=== debian/watch ===
version=4
https://busybox.net/downloads/busybox-([\d\.]*)\.tar\.bz2
