=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Uploaders:
  Chris Boot <bootc@debian.org>,
  Christoph Biedl <debian.axhn@manchmal.in-ulm.de>,
-Build-Depends: debhelper (>= 10), zip
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/d-i/busybox.git
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/busybox.git
+Build-Depends: debhelper (>= 11~), zip
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/installer-team/busybox.git
+Vcs-Browser: https://salsa.debian.org/installer-team/busybox
 Homepage: http://www.busybox.net
+Rules-Requires-Root: no
 
 Package: busybox
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: busybox-static
 Replaces: busybox-static
-Breaks: initramfs-tools (<<0.99)
 Description: Tiny utilities for small and embedded systems
  BusyBox combines tiny versions of many common UNIX utilities into a single
  small executable. It provides minimalist replacements for the most common
